Subject: Re: 29.0.60; apropos-documentation does not work for preloaded symbols

From: Stefan Monnier <[email-masked]>
Date: Sat, 14 Jan 2023 09:27:34 -0500

>> The patch below should fix both problems in a kind of "minimalist" way
>> (i.e. meant for `emacs-29`).
>> Can someone confirm it also works for them while I clean it up?
>
> It works much better, thanks.

OK, thanks.  I pushed a slightly better version of it to `emacs-29`.

> However, some symbols are still not shown, for some reason.  For
> example, find-directory-functions and file-name-at-point-functions
> (both are defcustoms).  I indeed don't see their doc strings in
> files.elc.  Using "C-u C-h d" does produce an *Apropos* buffer with
> find-directory-functions in it, but file-name-at-point-functions are
> still not mentioned.  I guess this is a separate issue, since Emacs 28
> seems to have similar problems with those 2 defcustoms?

I pushed to master a rewrite of the .elc scanning code which may help
(it wasn't its purpose, but it might be a side benefit).

        Stefan